libzypp 17.37.10

request_p.h File Reference
`#include <zypp-core/CheckSum.h>`
`#include <zypp-core/zyppng/base/private/base_p.h>`
`#include <zypp-curl/ng/network/request.h>`
`#include <zypp-media/MediaException>`
`#include <zypp-core/zyppng/base/Timer>`
`#include <zypp-core/base/Regex.h>`
`#include <curl/curl.h>`
`#include <array>`
`#include <memory>`
`#include <zypp-core/Digest.h>`
`#include <zypp-core/AutoDispose.h>`
`#include <boost/optional.hpp>`
`#include <variant>`

Go to the source code of this file.

## Classes
class | zyppng::NetworkRequestPrivate
struct | zyppng::NetworkRequestPrivate::FileVerifyInfo
struct | zyppng::NetworkRequestPrivate::pending_t
struct | zyppng::NetworkRequestPrivate::prepareNextRangeBatch_t
struct | zyppng::NetworkRequestPrivate::running_t
struct | zyppng::NetworkRequestPrivate::finished_t

## Namespaces
namespace | zyppng